aagc.vo

## Class MedicoDiBaseRequestmedicodibase

- java.lang.Object
- - aagc.vo.MedicoDiBaseRequestmedicodibase

-     public class MedicoDiBaseRequestmedicodibase
      extends java.lang.Object

  Classe Java per MedicoDiBaseRequestmedicodibase complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="MedicoDiBaseRequestmedicodibase">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="DateRiferimento" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codFiscale" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codIstatComuneStudio" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codNazionaleASLConv" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codRegionale" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="cognome" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="nome" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="tipoMedicoBase" type="{http://www.w3.org/2001/XMLSchema}int"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codFiscale`
    `protected java.lang.String` | `codIstatComuneStudio`
    `protected java.lang.String` | `codNazionaleASLConv`
    `protected java.lang.String` | `codRegionale`
    `protected java.lang.String` | `cognome`
    `protected java.lang.String` | `dateRiferimento`
    `protected java.lang.String` | `nome`
    `protected int` | `tipoMedicoBase`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MedicoDiBaseRequestmedicodibase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodFiscale()` Recupera il valore della proprietà codFiscale.
    `java.lang.String` | `getCodIstatComuneStudio()` Recupera il valore della proprietà codIstatComuneStudio.
    `java.lang.String` | `getCodNazionaleASLConv()` Recupera il valore della proprietà codNazionaleASLConv.
    `java.lang.String` | `getCodRegionale()` Recupera il valore della proprietà codRegionale.
    `java.lang.String` | `getCognome()` Recupera il valore della proprietà cognome.
    `java.lang.String` | `getDateRiferimento()` Recupera il valore della proprietà dateRiferimento.
    `java.lang.String` | `getNome()` Recupera il valore della proprietà nome.
    `int` | `getTipoMedicoBase()` Recupera il valore della proprietà tipoMedicoBase.
    `void` | `setCodFiscale(java.lang.String value)` Imposta il valore della proprietà codFiscale.
    `void` | `setCodIstatComuneStudio(java.lang.String value)` Imposta il valore della proprietà codIstatComuneStudio.
    `void` | `setCodNazionaleASLConv(java.lang.String value)` Imposta il valore della proprietà codNazionaleASLConv.
    `void` | `setCodRegionale(java.lang.String value)` Imposta il valore della proprietà codRegionale.
    `void` | `setCognome(java.lang.String value)` Imposta il valore della proprietà cognome.
    `void` | `setDateRiferimento(java.lang.String value)` Imposta il valore della proprietà dateRiferimento.
    `void` | `setNome(java.lang.String value)` Imposta il valore della proprietà nome.
    `void` | `setTipoMedicoBase(int value)` Imposta il valore della proprietà tipoMedicoBase.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dateRiferimento

          protected java.lang.String dateRiferimento

    - #### codFiscale

          protected java.lang.String codFiscale

    - #### codIstatComuneStudio

          protected java.lang.String codIstatComuneStudio

    - #### codNazionaleASLConv

          protected java.lang.String codNazionaleASLConv

    - #### codRegionale

          protected java.lang.String codRegionale

    - #### cognome

          protected java.lang.String cognome

    - #### nome

          protected java.lang.String nome

    - #### tipoMedicoBase

          protected int tipoMedicoBase

  - ### Constructor Detail

    - #### MedicoDiBaseRequestmedicodibase

          public MedicoDiBaseRequestmedicodibase()

  - ### Method Detail

    - #### getDateRiferimento

          public java.lang.String getDateRiferimento()

      Recupera il valore della proprietà dateRiferimento.
      Returns:
        possible object is `String`

    - #### setDateRiferimento

          public void setDateRiferimento(java.lang.String value)

      Imposta il valore della proprietà dateRiferimento.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodFiscale

          public java.lang.String getCodFiscale()

      Recupera il valore della proprietà codFiscale.
      Returns:
        possible object is `String`

    - #### setCodFiscale

          public void setCodFiscale(java.lang.String value)

      Imposta il valore della proprietà codFiscale.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodIstatComuneStudio

          public java.lang.String getCodIstatComuneStudio()

      Recupera il valore della proprietà codIstatComuneStudio.
      Returns:
        possible object is `String`

    - #### setCodIstatComuneStudio

          public void setCodIstatComuneStudio(java.lang.String value)

      Imposta il valore della proprietà codIstatComuneStudio.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodNazionaleASLConv

          public java.lang.String getCodNazionaleASLConv()

      Recupera il valore della proprietà codNazionaleASLConv.
      Returns:
        possible object is `String`

    - #### setCodNazionaleASLConv

          public void setCodNazionaleASLConv(java.lang.String value)

      Imposta il valore della proprietà codNazionaleASLConv.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodRegionale

          public java.lang.String getCodRegionale()

      Recupera il valore della proprietà codRegionale.
      Returns:
        possible object is `String`

    - #### setCodRegionale

          public void setCodRegionale(java.lang.String value)

      Imposta il valore della proprietà codRegionale.
      Parameters:
        `value` - allowed object is `String`

    - #### getCognome

          public java.lang.String getCognome()

      Recupera il valore della proprietà cognome.
      Returns:
        possible object is `String`

    - #### setCognome

          public void setCognome(java.lang.String value)

      Imposta il valore della proprietà cognome.
      Parameters:
        `value` - allowed object is `String`

    - #### getNome

          public java.lang.String getNome()

      Recupera il valore della proprietà nome.
      Returns:
        possible object is `String`

    - #### setNome

          public void setNome(java.lang.String value)

      Imposta il valore della proprietà nome.
      Parameters:
        `value` - allowed object is `String`

    - #### getTipoMedicoBase

          public int getTipoMedicoBase()

      Recupera il valore della proprietà tipoMedicoBase.

    - #### setTipoMedicoBase

          public void setTipoMedicoBase(int value)

      Imposta il valore della proprietà tipoMedicoBase.